<div class="clearfix">
    <fieldset class="scheduler-border">
        <legend class="scheduler-border">{{ 'Paramètres généraux' | trad }}</legend>
        <div class="colonne2">
            <div class="row">
                {{ inputAdvance('ZOOMADVANCE', {
                    'titre' : 'Délégataire choisi' | trad,
                    'name' : 'CODE_DEL',
                    'pahtZoom' : path('Ajax.liste.delegatairePref'),
                    'titleZoom' : 'Liste des délégataires' | trad,
                    'entity' : 'HASTUTIL',
                    'convertLibelle' : 'convertLibelleGlobal',
                    'pathConvert' : path('Ajax.outil.convertLibelle'),
                    'value' :  post.CODE_DEL,
                    'pathValidator' : path('Ajax.validator.utilisateur'),
                    'obligatoire' : true,
                    'option' : deleg_lock ? 'readonly' : ''
                }) }}
            </div>
        </div>
        <div class="colonne2">
            <div class="row">
                {{ inputAdvance('SWITCH', {
                    'titre' : 'Toutes les sociétés ?' | trad,
                    'name'  : 'TTE_STE',
                    'value' : post.TTE_STE,
                    'optionVide' : false,
                    'option' : ste_lock ? 'readonly' : ''
                }) }}
            </div>
            <div class="row">
                {{ inputAdvance('SELECT', {
                    'titre' : 'Type d\'opération' | trad,
                    'name'  : 'TYPE_DEL',
                    'value' : post.TYPE_DEL,
                    'listeValue' : {
                        'T': 'En cas d\'absence' | trad,
                        'P': 'Permanente' | trad
                    },
                    'optionVide' : false,
                }) }}
            </div>
        </div>
        <div class="colonne2 last">
            <div class="row">
                {{ inputAdvance('ZOOMADVANCE', {
                    'titre' : 'Société' | trad,
                    'name' : 'CODE_STE',
                    'value' : post.CODE_STE,
                    'pahtZoom' : path('Ajax.liste.societeCommune'),
                    'paramZoom' : "{'deleg' : $('#input_CODE_DEL').val()}",
                    'titleZoom' : 'Liste des sociétés communes' | trad,
                    'entity' : 'Societe',
                    'pathConvert' : path('Ajax.outil.convertLibelle'),
                    'convertLibelle' : 'convertLibelleGlobal',
                    'pathValidator' : path('Ajax.validator.zoom'),
                    'paramsValidator' : "{'entity' : 'Societe', 'nomChamp' : '"~ 'Société' | trad ~"', 'null' : false}",
                    'obligatoire' : true,
                    'option' : ste_lock ? 'readonly' : ''
                }) }}
            </div>
            <div class="row">
                {{ inputAdvance('DEVISE', {
                    'titre' : 'Montant plafond' | trad,
                    'name' : 'MONTANT',
                    'value' : post.MONTANT,
                    'devise' : devise ~ ' ' ~ wfEnTtc,
                    'pathValidator' : path('Ajax.validator.float'),
                    'paramsValidator' : "{'format' : "~getConst('formatMontant')~"}",
                }) }}
            </div>
        </div>
        <style>
            .input-wrapper .input-group-addon {
                right: 11%;
            }
            .row input.devise {
                padding-right: 15%;
                text-align: right;
            }
        </style>
    </fieldset>	
    <script>
        $(function() {
            $("#input_CODE_DEL").change(function() {
                if ($("#input_CODE_DEL").val() == '') {
                    $('#input_CODE_STE').val('');
                    $('#text_CODE_STE').val('');
                    $('#text_CODE_STE').attr('readonly', 'readonly');
					$('#zoom_CODE_STE').hide();
                    $('#input_TTE_STE').attr('disabled', 'disabled');
                    changeValueSwitch('TTE_STE', false);
                } else {
                    $('#text_CODE_STE').removeAttr('readonly');
                    $('#input_TTE_STE').removeAttr('disabled');
                    $('#zoom_CODE_STE').show();
                    changeValueSwitch('TTE_STE', false);
                }
            });

            $("#input_TTE_STE").change(function() {
                if ($(this).is(':checked') == true) {
                    $('#input_CODE_STE').val('');
                    $('#text_CODE_STE').val('');
                    $('#text_CODE_STE').attr('readonly', 'readonly');
					$('#zoom_CODE_STE').hide();
                    updateTriggerList();
                } else {
                    if ($("#input_CODE_DEL").val() != '') {
                        $('#text_CODE_STE').removeAttr('readonly');
                        $('#zoom_CODE_STE').show();                    
                    }
                }
            });

            function updateTriggerList()
            {
                let societe = $('#input_CODE_STE').val();
                if (societe == '') {
                    var url = '{{ path_update_trigger }}';
                } else {
                    console.log(societe);
                    var url = '{{ path_update_trigger_with_company }}';
                }
                activeLoader();
                $.ajax({
                    dataType : 'html',
                    url: url,
                    type: "POST",
                    success: function(result){
                        $('#declencheurs').html(result);
                        desactiveLoader();
                    }
                });
            }

            $("#input_CODE_STE").change(function() {
                updateTriggerList();
            });
        });
    </script>
</div>